Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -15563,14 +15563,14 @@
                      snow(i),ridicule,deltalim_snow, &
                      'calcul_iso_surf_lic 1955')
-                 if (evap(i).gt.ridicule_evap) THEN
-                   if (iso_verif_aberrant_nostop( &
+                 IF (evap(i).gt.ridicule_evap) THEN
+                   IF (iso_verif_aberrant_nostop( &
                          xtevap(iso_HDO,i)/evap(i), &
-                        'calcul_iso_surf_ter 751').eq.1) THEN
+                        'calcul_iso_surf_ter 751').EQ.1) THEN
                      WRITE(*,*) 'i=',i
                      WRITE(*,*) 'sol_evap,snow_evap=', &
                          sol_evap(i),snow_evap(i)
-                     if (sol_evap(i).gt.ridicule_evap)WRITE(*,*) 'deltaDsol_evap=', &
+                     IF (sol_evap(i).gt.ridicule_evap)WRITE(*,*) 'deltaDsol_evap=', &
                          deltaD(xtsol_evap(iso_hdo,i)/sol_evap(i))
-                     if (snow_evap(i).gt.ridicule_evap)WRITE(*,*) 'deltaDsnow_evap=', &
+                     IF (snow_evap(i).gt.ridicule_evap)WRITE(*,*) 'deltaDsnow_evap=', &
                          deltaD(xtsnow_evap(iso_hdo,i)/snow_evap(i))
                      WRITE(*,*) 'deltaD1new=',deltaD( &
@@ -15584,7 +15584,7 @@
                    endif
                  endif !if (evap(i).gt.ridicule_evap) THEN
-                 if (iso_verif_aberrant_choix_nostop(xtevap(iso_HDO,i), &
+                 IF (iso_verif_aberrant_choix_nostop(xtevap(iso_HDO,i), &
                    evap(i),ridicule,1e5,'calcul_iso_surf_ter 1578') &
-                         .eq.1) THEN
+                         .EQ.1) THEN
                      WRITE(*,*) 'i=',i
                      WRITE(*,*) 'sol_evap,snow_evap=', &
@@ -15599,16 +15599,16 @@
                         'calcul_iso_surf_ter 1590')
                 endif
-                 if (qsol(i).gt.ridicule_qsol*1e2) THEN
+                 IF (qsol(i).gt.ridicule_qsol*1e2) THEN
                    CALL iso_verif_aberrant(xtsol(iso_HDO,i)/qsol(i) &
                         /faccond,'calcul_iso_surf_ter 752')
                  endif !if (qsol(i).gt.ridicule_qsol) THEN
               endif !if (iso_eau.gt.0) THEN
-              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-               if (abs(evap(i)).gt.ridicule_qsol) THEN
+              IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+               IF (abs(evap(i)).gt.ridicule_qsol) THEN
                  CALL iso_verif_aberrant_o17(xtevap(iso_O17,i) &
                  /evap(i),xtevap(iso_O18,i) &
                  /evap(i),'iso_surf_ter 1827')
-              endif !if ((evap(i).gt.ridicule).and.(xtevap(iso_O18,i)
-             endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+              endif !if ((evap(i).gt.ridicule).AND.(xtevap(iso_O18,i)
+             endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
            CALL iso_verif_tracnps(xtevap(1,i), &
@@ -15618,5 +15618,5 @@
                   
 #endif
-        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+        IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
          do i=1,knon     
           xtsol(iso_eau,i)=qsol(i) 
@@ -15630,7 +15630,7 @@
          dqdiag=precip_rain(i)*dtime+fq_fonte_neige(i) &
                   -(evap(i)-snow_evap(i))*dtime-run_off(i)
-         if (iso_verif_egalite_choix_nostop(dqdiag, &
+         IF (iso_verif_egalite_choix_nostop(dqdiag, &
                  qsol(i)-qsol_prec(i),'ter 2087', &
-                 errmax_sol*max(qsol(i),1.0),errmaxrel).eq.1) THEN
+                 errmax_sol*max(qsol(i),1.0),errmaxrel).EQ.1) THEN
              WRITE(*,*) 'calcul_iso_surf_ter 2050: bilan qsol,i=',i
              WRITE(*,*) 'qsol(i)=',qsol(i)
@@ -15644,5 +15644,5 @@
              stop
          endif !if (iso_verif_egalite_choix_nostop(dqdiag,
-         if (evap_cont_cste.ne.1) THEN
+         IF (evap_cont_cste.NE.1) THEN
              ! si evap_cont_cste=1, on prescrit compo de l'évap du sol
              ! -> normal de ne pas conserver la masse d'isotopes
@@ -15651,7 +15651,7 @@
                   -(xtevap(ixt,i)-xtsnow_evap(ixt,i))*dtime &
                   -xtrun_off(ixt,i)
-            if (iso_verif_egalite_choix_nostop(dqdiag, &
+            IF (iso_verif_egalite_choix_nostop(dqdiag, &
                  xtsol(ixt,i)-xtsol_prec(ixt,i),'ter 1887', &
-                 errmax_sol*max(qsol(i),1.0),errmaxrel).eq.1) THEN
+                 errmax_sol*max(qsol(i),1.0),errmaxrel).EQ.1) THEN
              WRITE(*,*) 'calcul_iso_surf_ter 2066: bilan xtsol, ixt=', &
                  ixt
@@ -15673,5 +15673,5 @@
              WRITE(*,*) 'run_off(i) (diag)=',run_off(i)
              WRITE(*,*) 'runoff_tmp(i)=',runoff_tmp(i)
-             if (qsol_prec(i).gt.-ridicule) THEN
+             IF (qsol_prec(i).gt.-ridicule) THEN
                  stop
                  ! sinon, si qsolprec<0, on fait compo du sol=compo des
@@ -15682,5 +15682,5 @@
            endif    
           enddo
-         endif !if (evap_cont_cste.ne.1) THEN
+         endif !if (evap_cont_cste.NE.1) THEN
       enddo !do i=1,knon
 
@@ -15734,8 +15734,8 @@
       ! arguments  
       !real xtsol(niso,klon) 
-      real xtsnow(niso,klon,nbsrf)  
+      REAL xtsnow(niso,klon,nbsrf)
       !real xtevap(ntraciso,klon,nbsrf)  
-      real xtrun_off_lic_0(niso,klon)
-      real Rland_ice(niso,klon)
+      REAL xtrun_off_lic_0(niso,klon)
+      REAL Rland_ice(niso,klon)
 
       !REAL qsol(klon)
@@ -15745,5 +15745,5 @@
 
       ! locals
-      integer ixt,i,k,nsrf
+      INTEGER ixt,i,k,nsrf
 
 !      character*50 text
@@ -15752,5 +15752,5 @@
       WRITE(*,*) 'initialisation_iso=',initialisation_iso
 
-      if (initialisation_iso.eq.0) THEN
+      IF (initialisation_iso.EQ.0) THEN
           CALL phyiso_etat0_fichier( &
                  snow,run_off_lic_0, &
@@ -15779,5 +15779,5 @@
       enddo !do i=1,klon
       do i=1,klon
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite(xtsol(iso_eau,i),qsol(i), &
                  'phyisoetat0 759')
@@ -15798,5 +15798,5 @@
                  'phyisoetat0 771c')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite(xt_ancien(iso_eau,i,k), &
                  q_ancien(i,k),'phyisoetat0 775a')
@@ -15806,15 +15806,15 @@
                  qs_ancien(i,k),'phyisoetat0 775c')
            endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
-             if (q_ancien(i,k).gt.2e-3) THEN
+           IF (iso_HDO.gt.0) THEN
+             IF (q_ancien(i,k).gt.2e-3) THEN
 !                WRITE(*,*) 'i,k=',i,k
                CALL iso_verif_aberrant(xt_ancien(iso_hdo,i,k) &
                  /q_ancien(i,k),'phyisoetat0 103a')
              endif !if (q_ancien(i,k).gt.2e-3) THEN
-             if (ql_ancien(i,k).gt.2e-3) THEN
+             IF (ql_ancien(i,k).gt.2e-3) THEN
                CALL iso_verif_positif(xtl_ancien(iso_hdo,i,k) &
                  /ql_ancien(i,k),'phyisoetat0 103b')
              endif !if (q_ancien(i,k).gt.2e-3) THEN
-             if (qs_ancien(i,k).gt.2e-3) THEN
+             IF (qs_ancien(i,k).gt.2e-3) THEN
                CALL iso_verif_positif(xts_ancien(iso_hdo,i,k) &
                  /qs_ancien(i,k),'phyisoetat0 103c')
@@ -15841,5 +15841,5 @@
                  'phyisoetat0 123')
 #endif 
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xtsnow(iso_eau,i,nsrf),snow(i,nsrf), &
                       'phyisoetat0 787')
@@ -15847,5 +15847,5 @@
                          'phyisoetat0 75')
           endif !if (iso_eau.gt.0) THEN
-          if (iso_HDO.gt.0) THEN
+          IF (iso_HDO.gt.0) THEN
             CALL iso_verif_aberrant_choix(xtsnow(iso_hdo,i,nsrf),snow(i,nsrf), &
                       ridicule_snow, deltalim_snow, 'phyisoetat0 117')
@@ -15854,6 +15854,6 @@
       enddo !do i=1,klon
       do i=1,klon
-        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-             if ((qsol(i).gt.ridicule_qsol).and.(xtsol(iso_O18,i) &
+        IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+             IF ((qsol(i).gt.ridicule_qsol).AND.(xtsol(iso_O18,i) &
                  .gt.ridicule_qsol*tnat(iso_o18))) THEN
                 CALL iso_verif_aberrant_o17(xtsol(iso_O17,i) &
@@ -15867,5 +15867,5 @@
 
         ! pour le tritium: initialisation des tableaux d'essais nucléaires:
-        if (iso_HTO.gt.0) THEN
+        IF (iso_HTO.gt.0) THEN
           CALL table_tritium_nucl()
         endif
@@ -15907,8 +15907,8 @@
       !integer niso 
       !real xtsol(niso,klon) 
-      real xtsnow(niso,klon,nbsrf)  
+      REAL xtsnow(niso,klon,nbsrf)
       !real xtevap(ntraciso,klon,nbsrf) 
-      real xtrun_off_lic_0(niso,klon)
-      real Rland_ice(niso,klon)
+      REAL xtrun_off_lic_0(niso,klon)
+      REAL Rland_ice(niso,klon)
 
       !REAL qsol(klon)
@@ -15917,17 +15917,17 @@
       REAL run_off_lic_0(klon)
       !locals
-      integer ixt, k, i, nsrf   
-      real deltaD_rain_fall(niso)
-      real deltaD_snow_fall(niso)
-      real deltaD_snow(niso)
-      real deltaD_land_ice(niso)
-      real deltaD_sol(niso)
-      real deltaD_run_off_lic_0(niso)
-      real deltaD_evap(niso)
-      real RMerlivat(niso)
+      INTEGER ixt, k, i, nsrf
+      REAL deltaD_rain_fall(niso)
+      REAL deltaD_snow_fall(niso)
+      REAL deltaD_snow(niso)
+      REAL deltaD_land_ice(niso)
+      REAL deltaD_sol(niso)
+      REAL deltaD_run_off_lic_0(niso)
+      REAL deltaD_evap(niso)
+      REAL RMerlivat(niso)
 
       ! constes
-        real deltaD_snow_fall_O18,deltaD_rain_fall_O18
-        real alpha(niso),kcin(niso)
+        REAL deltaD_snow_fall_O18,deltaD_rain_fall_O18
+        REAL alpha(niso),kcin(niso)
 !      character*50 text
         
@@ -15938,13 +15938,13 @@
         deltaD_snow_fall_O18=-20.
         deltaD_rain_fall_O18=-5.
-        if (iso_HTO.gt.0) THEN
+        IF (iso_HTO.gt.0) THEN
         deltaD_snow_fall(iso_HTO)=-1000.  
         deltaD_rain_fall(iso_HTO)=-1000.   
         endif   
-        if (iso_O18.gt.0) THEN
+        IF (iso_O18.gt.0) THEN
         deltaD_snow_fall(iso_O18)=deltaD_snow_fall_O18
         deltaD_rain_fall(iso_O18)=deltaD_rain_fall_O18
         endif
-        if (iso_O17.gt.0) THEN
+        IF (iso_O17.gt.0) THEN
         deltaD_snow_fall(iso_O17)=(exp(25.0/1e6) &
                  *(deltaD_snow_fall_O18/1000.0+1.0)**0.528 &
@@ -15954,9 +15954,9 @@
                  -1.0)*1000.0
         endif
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
           deltaD_snow_fall(iso_HDO)=deltaD_snow_fall_O18*8.0+10.0
           deltaD_rain_fall(iso_HDO)=deltaD_rain_fall_O18*8.0+10.
         endif
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           deltaD_snow_fall(iso_eau)=0.
           deltaD_rain_fall(iso_eau)=0.
@@ -15985,5 +15985,5 @@
        do i=1,klon
         do ixt=niso+1,ntraciso
-         if (index_zone(ixt).eq.izone_init) THEN
+         IF (index_zone(ixt).EQ.izone_init) THEN
            xtrain_fall(ixt,i)=rain_fall(i) &
                  *tnat(index_iso(ixt)) &
@@ -16021,5 +16021,5 @@
 #ifdef ISOVERIF
         do i=1,klon  
-             if (iso_eau.gt.0)  THEN
+             IF (iso_eau.gt.0)  THEN
                  CALL iso_verif_egalite(xtsol(iso_eau,i),qsol(i), &
                  'phyiso_etat0_dur 74')
@@ -16038,5 +16038,5 @@
 #ifdef ISOTRAC
           do ixt=niso+1,ntraciso
-           if (index_zone(ixt).eq.izone_init) THEN
+           IF (index_zone(ixt).EQ.izone_init) THEN
              fxtevap(ixt,i,nsrf)=fevap(i,nsrf) &
                  *tnat(index_iso(ixt)) &
@@ -16065,5 +16065,5 @@
                 alpha(ixt),kcin(ixt),toce(ixt))
 
-           if (q_ancien(i,k).gt.ridicule) THEN
+           IF (q_ancien(i,k).gt.ridicule) THEN
            xtl_ancien(ixt,i,k)=ql_ancien(i,k)*alpha(ixt) &
                  *xt_ancien(ixt,i,k)/q_ancien(i,k)
@@ -16087,15 +16087,15 @@
 
         ! Camille 7 mars 2023: ajout d'un check
-        if ((i.eq.1).and.(k.eq.1).and.(iso_HDO.gt.0)) THEN
+        IF ((i.EQ.1).AND.(k.EQ.1).AND.(iso_HDO.gt.0)) THEN
         WRITE(*,*) 'phyisoetat0 16362: q_ancien(1,1)=',q_ancien(1,1)
         WRITE(*,*) 'deltaD_ancien=',deltaD(xt_ancien(iso_HDO,i,k)/q_ancien(i,k))
         WRITE(*,*) 'xt_ancien(:,i,k)=',xt_ancien(:,i,k)
-        endif !if ((i.eq.1).and.(k.eq.1)) THEN
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-            if (q_ancien(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+        endif !if ((i.EQ.1).AND.(k.EQ.1)) THEN
+        IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (q_ancien(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_ancien(iso_HDO,i,k)/q_ancien(i,k), &
                     xt_ancien(iso_O18,i,k)/q_ancien(i,k), &
-                    'phyisoetat0 16366 q_ancien').eq.1) THEN
+                    'phyisoetat0 16366 q_ancien').EQ.1) THEN
                   WRITE(*,*) 'phyisoetat0 16367: i,k,q_ancien(i,k)=',i,k,q_ancien(i,k)
                   WRITE(*,*) 'xt_ancien(:,i,k)=',xt_ancien(:,i,k)
@@ -16103,5 +16103,5 @@
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) THEN
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif 
 
@@ -16109,5 +16109,5 @@
 #ifdef ISOTRAC
         do ixt=niso+1,ntraciso
-          if (index_zone(ixt).eq.izone_init) THEN
+          IF (index_zone(ixt).EQ.izone_init) THEN
             xt_ancien(ixt,i,k)=xt_ancien(index_iso(ixt),i,k) 
             xtl_ancien(ixt,i,k)=xtl_ancien(index_iso(ixt),i,k)
@@ -16126,5 +16126,5 @@
        do i=1,klon
         do k=1,klev
-         if (q_ancien(i,k).gt.ridicule) THEN
+         IF (q_ancien(i,k).gt.ridicule) THEN
           do ixt=1,niso
            wake_deltaxt(ixt,i,k)=xt_ancien(ixt,i,k)/q_ancien(i,k) &
@@ -16138,5 +16138,5 @@
 #ifdef ISOTRAC
         do ixt=niso+1,ntraciso
-          if (index_zone(ixt).eq.izone_init) THEN
+          IF (index_zone(ixt).EQ.izone_init) THEN
             wake_deltaxt(ixt,i,k)=wake_deltaxt(index_iso(ixt),i,k) 
           else
@@ -16173,5 +16173,5 @@
          CALL iso_verif_noNAN(Rland_ice(ixt,i),'phyiso_etat0_dur 757')
          enddo !do ixt=1,niso
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite(xtsol(iso_eau,i),qsol(i), &
                  'phyiso_etat0_dur 759')
@@ -16193,10 +16193,10 @@
                  'phyiso_etat0_dur 240')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite(xt_ancien(iso_eau,i,k), &
                  q_ancien(i,k),'phyiso_etat0_dur 775a')
            endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
-             if (q_ancien(i,k).gt.ridicule) THEN
+           IF (iso_HDO.gt.0) THEN
+             IF (q_ancien(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_ancien(iso_hdo,i,k)/q_ancien(i,k), &
@@ -16204,6 +16204,6 @@
              endif !if (q_ancien(i,k).gt.ridicule) THEN
            endif !if (iso_HDO.gt.0) THEN
-           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-              if (q_ancien(i,k).gt.ridicule) THEN
+           IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+              IF (q_ancien(i,k).gt.ridicule) THEN
                 CALL iso_verif_O18_aberrant( &
                     xt_ancien(iso_hdo,i,k)/q_ancien(i,k), &
@@ -16211,5 +16211,5 @@
                     'phyiso_etat0_dur 775c')
               endif ! if (q_ancien(i,k).gt.ridicule) THEN
-           endif ! if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+           endif ! if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
          enddo !do k=1,klev
          do nsrf=1,nbsrf
@@ -16220,5 +16220,5 @@
                  'phyiso_etat0_dur 783')
              enddo !do ixt=1,niso
-             if (iso_eau.gt.0) THEN
+             IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite(xtsnow(iso_eau,i,nsrf),snow(i,nsrf), &
                       'phyiso_etat0_dur 787')
@@ -16227,6 +16227,6 @@
              endif !if (iso_eau.gt.0) THEN
          enddo !do nsrf=1,nbsrf
-         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-             if ((qsol(i).gt.ridicule_qsol).and.(xtsol(iso_O18,i) &
+         IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+             IF ((qsol(i).gt.ridicule_qsol).AND.(xtsol(iso_O18,i) &
                  .gt.ridicule_qsol*tnat(iso_o18))) THEN
                 CALL iso_verif_aberrant_o17(xtsol(iso_O17,i) &
@@ -16265,6 +16265,6 @@
    USE isotopes_mod,      ONLY: isoName,iso_HDO,iso_eau
    USE phyetat0_get_mod,  ONLY: phyetat0_get, phyetat0_srf
-   USE readTracFiles_mod, ONLY: new2oldH2O
-   USE strings_mod,       ONLY: strIdx, strTail, maxlen, msg, int2str
+   USE lmdz_readTracFiles, ONLY: new2oldH2O
+   USE lmdz_strings,       ONLY: strIdx, strTail, maxlen, msg, int2str
 #ifdef ISOVERIF
    USE isotopes_verif_mod
@@ -16316,5 +16316,5 @@
 #endif
       found = phyetat0iso_srf3(fxtevap,     "XTEVAP", "evaporation",  0.)
-      if (.NOT.found) CALL abort_physic('isotopes_routines_mod', 'phyiso_etat0_fichier 16581a: unfound isotopic variable',1)
+      IF (.NOT.found) CALL abort_physic('isotopes_routines_mod', 'phyiso_etat0_fichier 16581a: unfound isotopic variable',1)
       found = phyetat0iso_get2(xtrain_fall, "xtrain_f", "xrain fall", 0.)
       found = phyetat0iso_get2(xtsnow_fall, "xtsnow_f", "xsnow fall", 0.)
@@ -16345,5 +16345,5 @@
       IF(ixt <= niso) THEN
          found = phyetat0iso_get2(xtsol, "XTSOL", "Surface humidity / bucket", 0.)
-         if (.NOT.found) CALL abort_physic('isotopes_routines_mod', 'phyiso_etat0_fichier 16581b: unfound isotopic variable',1)
+         IF (.NOT.found) CALL abort_physic('isotopes_routines_mod', 'phyiso_etat0_fichier 16581b: unfound isotopic variable',1)
          found = phyetat0iso_get2(Rland_ice, "Rland_ice", "SR land ice", 0.)
          found = phyetat0iso_srf3(xtsnow,      "XTSNOW", "Surface snow", 0.) ! CR avril 2023: deplacer ici 
@@ -16417,7 +16417,7 @@
    END DO
 #endif 
-        ! endif ISOVERIF       
+        ! END IF ISOVERIF
 #endif  
-        ! endif ISOTRAC      
+        ! END IF ISOTRAC
 
 CONTAINS
@@ -16493,32 +16493,32 @@
       !real rlat(klon), rlon(klon) ! Latitude et longitude en degre
       !real rlatd(klon), rlond(klon) ! Latitude et longitude en radian
-      real paprs(klon,klev+1) ! input-R-pression pour chaque inter-couche (en Pa)
-      real zphi(klon,klev) ! input-R-geopotentiel de chaque couche (reference ocean, en m2/s2)
-      real pplay(klon,klev) ! input-R-pression pour le mileu de chaque couche (en Pa)
-      real dtime ! pas de temps en secondes
+      REAL paprs(klon,klev+1) ! input-R-pression pour chaque inter-couche (en Pa)
+      REAL zphi(klon,klev) ! input-R-geopotentiel de chaque couche (reference ocean, en m2/s2)
+      REAL pplay(klon,klev) ! input-R-pression pour le mileu de chaque couche (en Pa)
+      REAL dtime ! pas de temps en secondes
       !real airephy(klon) ! aire d'une grille (m2)
 
 ! output
-      real d_xt_prod_nucl(ntraciso,klon,klev) ! tritium provenant des essais nucleaires
-      real d_xt_cosmo(ntraciso,klon,klev) ! production naturelle de tritium
-      real d_xt_decroiss(ntraciso,klon,klev) ! decroissance radioactive
-      real xt_seri(ntraciso,klon,klev) ! quantite d'isotopes de l'eau
+      REAL d_xt_prod_nucl(ntraciso,klon,klev) ! tritium provenant des essais nucleaires
+      REAL d_xt_cosmo(ntraciso,klon,klev) ! production naturelle de tritium
+      REAL d_xt_decroiss(ntraciso,klon,klev) ! decroissance radioactive
+      REAL xt_seri(ntraciso,klon,klev) ! quantite d'isotopes de l'eau
 
 ! local
 !      integer iso_verif_noNAN_nostop ! pour debuggage
 !      integer iso_verif_positif_strict_nostop ! pour debuggage
-      integer ixt,i,k,k_ref,kb,nlev_prod
-      real pi
+      INTEGER ixt,i,k,k_ref,kb,nlev_prod
+      REAL pi
       parameter (pi=4.*atan(1.))
-      real rlat_geo(klon) ! latitude geomagnetique de la grille (en radians, entre 0 et 90 degres)
-      real glat ! latitude du pole geomagnetique
-      real glon ! longitude du pole geomagnetique
-      real lat_geo,qcos
+      REAL rlat_geo(klon) ! latitude geomagnetique de la grille (en radians, entre 0 et 90 degres)
+      REAL glat ! latitude du pole geomagnetique
+      REAL glon ! longitude du pole geomagnetique
+      REAL lat_geo,qcos
       parameter (nlev_prod=34)
-      real p_ref ! grille de pression de reference
+      REAL p_ref ! grille de pression de reference
       dimension p_ref(nlev_prod)
-      real masse_tritium ! masse d'une molecule de HTO en kg
+      REAL masse_tritium ! masse d'une molecule de HTO en kg
       parameter (masse_tritium=33.3388E-27 )
-      real tau_decroissance_tritium ! periode radioactive du tritium (17.77 ans en secondes)
+      REAL tau_decroissance_tritium ! periode radioactive du tritium (17.77 ans en secondes)
       parameter (tau_decroissance_tritium=560520955.6)
       data p_ref / &
@@ -16533,6 +16533,6 @@
             5886.00, 2943.00 /
 
-      integer j_1ere_bombe !  numero du premier essai nucleaire de la journee en cours (486 au total)
-      integer nbombe ! pour savoir si c'est un jour de bombe et le nombre de bombes durant ce jour
+      INTEGER j_1ere_bombe !  numero du premier essai nucleaire de la journee en cours (486 au total)
+      INTEGER nbombe ! pour savoir si c'est un jour de bombe et le nombre de bombes durant ce jour
 
 #ifdef ISOVERIF
@@ -16578,6 +16578,6 @@
           qcos=sin(glat)*sin(latitude(i))
           qcos=qcos+cos(glat)*cos(latitude(i))*cos(longitude(i)-glon)
-          if ( qcos .lt. -1.) qcos = -1.
-          if ( qcos .gt. 1.) qcos = 1.
+          IF ( qcos .lt. -1.) qcos = -1.
+          IF ( qcos .gt. 1.) qcos = 1.
           rlat_geo(i)=pi/2.-acos(qcos)
        enddo
@@ -16587,5 +16587,5 @@
 ! la production de tritium
        
-       if (iso_HTO.gt.0) then ! Tritium
+       IF (iso_HTO.gt.0) then ! Tritium
        ixt=iso_HTO
 
@@ -16596,5 +16596,5 @@
        k_ref = 1
        do kb = 1,nlev_prod
-          if (p_ref(kb) .gt. pplay(i,k)) k_ref=kb
+          IF (p_ref(kb) .gt. pplay(i,k)) k_ref=kb
        enddo
 
@@ -16602,24 +16602,24 @@
        ! Pour le moment, la production d_xt_cosmo est exprime en at/g/s
 
-       if ( k_ref .eq. 1 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 1 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 8.9433E-7
                    
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.9432E-7
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.9247E-7
                    
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.4992E-7
                    
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.655E-7
                    
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.9815E-7
                    
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.4847E-7
                    
@@ -16631,21 +16631,21 @@
        
        
-       if ( k_ref .eq. 2 ) THEN
-           if (lat_geo.ge.60.)                                  THEN
+       IF ( k_ref .EQ. 2 ) THEN
+           IF (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.736E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.171E-6
                    
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1121E-6
                    
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.9709E-7
                    
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.0662E-7
                    
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.3986E-7
                    
@@ -16657,21 +16657,21 @@
        
        
-       if ( k_ref .eq. 3 ) THEN
-           if (lat_geo.ge.60.)                                  THEN
+       IF ( k_ref .EQ. 3 ) THEN
+           IF (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.5402E-6
            
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.5365E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4552E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.2989E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1775E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0879E-6
            
@@ -16683,21 +16683,21 @@
        
        
-       if ( k_ref .eq. 4 ) THEN
-           if (lat_geo.ge.60.)                                  THEN
+       IF ( k_ref .EQ. 4 ) THEN
+           IF (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.0198E-6
            
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.0145E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9024E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.6901E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.5273E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4072E-6
            
@@ -16709,24 +16709,24 @@
        
        
-       if ( k_ref .eq. 5 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 5 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.6465E-6
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.6464E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.6389E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.4846E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.1965E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9785E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.8177E-6
            
@@ -16738,24 +16738,24 @@
        
        
-       if ( k_ref .eq. 6 ) THEN
-           if (lat_geo.ge.70.)                                  THEN
+       IF ( k_ref .EQ. 6 ) THEN
+           IF (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 3.4646E-6
            
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
+           ELSE IF ( (lat_geo.ge.60.0) .AND. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.4645E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
+           ELSE IF ( (lat_geo.ge.50.0) .AND. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.454E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
+           ELSE IF ( (lat_geo.ge.40.0) .AND. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 3.2415E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
+           ELSE IF ( (lat_geo.ge.30.0) .AND. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.851E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
+           ELSE IF ( (lat_geo.ge.20.0) .AND. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.5595E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
+           ELSE IF ( (lat_geo.ge.10.0) .AND. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.3444E-6
            
